SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (Multimedia)  >   ImageMagick Vendors:   ImageMagick.org
ImageMagick Off-by-one and Integer Overflows Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1018729
SecurityTracker URL:  http://securitytracker.com/id/1018729
CVE Reference:   CVE-2007-4985, CVE-2007-4986, CVE-2007-4987, CVE-2007-4988   (Links to External Site)
Date:  Sep 22 2007
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 6.3.5-9
Description:   Several vulnerabilities were reported in ImageMagick. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create a specially crafted DCM, DIB, XBM, XCF, or XWD image file that, when loaded by the target user or application, will trigger an integer overflow, heap overflow, or off-by-one bug and execute arbitrary code on the target system. The code will run with the privileges of the target user.

A remote user can also cause the target application to consume all available CPU resources.

regenrecht reported these vulnerabilities via iDefense.

The original advisories are available at:

http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=594
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=595
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=596
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=597

Impact:   A remote user can create a file that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   The vendor has issued a fixed version (6.3.5-9).

The ImageMagick advisory is available at:

http://studio.imagemagick.org/pipermail/magick-announce/2007-September/000037.html

Cause:   Access control error, Boundary error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Apr 17 2008 (Red Hat Issues Fix) ImageMagick Off-by-one and Integer Overflows Let Remote Users Execute Arbitrary Code
Red Hat has released a fix for Red Hat Enterprise Linux 2.1.
Apr 17 2008 (Red Hat Issues Fix) ImageMagick Off-by-one and Integer Overflows Let Remote Users Execute Arbitrary Code
Red Hat has released a fix for Red Hat Enterprise Linux 3, 4, and 5.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC